# Variable default

default: {
exportRelations: ((relations) => any);
get: ((tableName, selectFields?, conditions?, conditionFields?, options?) => Promise<IDBResult | IDBResultError>);
getCommandFactory: (() => {
generateAtomCommand: ((tableName, items, fieldNames?) => string);
generateGet: ((tableName, selectFields?, conditions?, conditionFields?, options?) => string);
generateModifyCommand: ((tableName, command?, fieldNames?) => string);
generatePut: ((tableName, array) => string);
generateRm: ((tableName, keyValues) => string);
generateUpdate: ((tableName, array) => string);
});
importRelations: ((content) => any);
init: ((onWrite?) => Promise<void>);
put: ((tableName, array) => Promise<IDBResult | IDBResultError>);
rm: ((tableName, keyValues) => Promise<IDBResult | IDBResultError>);
runCommand: ((command, immutable?) => Promise<IDBResult | IDBResultError>);
update: ((tableName, array) => Promise<IDBResult | IDBResultError>);
}

#### Type declaration

- ##### exportRelations: ((relations) => any)

  - - (relations): any

    - #### Parameters

      - relations: string[]

      #### Returns any

- ##### get: ((tableName, selectFields?, conditions?, conditionFields?, options?) => Promise<IDBResult | IDBResultError>)

  - - (tableName, selectFields?, conditions?, conditionFields?, options?): Promise<IDBResult | IDBResultError>

    - #### Parameters

      - tableName: string
      - selectFields: string[] = []
      - conditions: string[] = []
      - conditionFields: string[] = []
      - options: GetCommandOptions = {}

      #### Returns Promise<IDBResult | IDBResultError>

- ##### getCommandFactory: (() => {
  generateAtomCommand: ((tableName, items, fieldNames?) => string);
  generateGet: ((tableName, selectFields?, conditions?, conditionFields?, options?) => string);
  generateModifyCommand: ((tableName, command?, fieldNames?) => string);
  generatePut: ((tableName, array) => string);
  generateRm: ((tableName, keyValues) => string);
  generateUpdate: ((tableName, array) => string);
  })

  - - (): {
      generateAtomCommand: ((tableName, items, fieldNames?) => string);
      generateGet: ((tableName, selectFields?, conditions?, conditionFields?, options?) => string);
      generateModifyCommand: ((tableName, command?, fieldNames?) => string);
      generatePut: ((tableName, array) => string);
      generateRm: ((tableName, keyValues) => string);
      generateUpdate: ((tableName, array) => string);
      }

    - #### Returns {
      generateAtomCommand: ((tableName, items, fieldNames?) => string);
      generateGet: ((tableName, selectFields?, conditions?, conditionFields?, options?) => string);
      generateModifyCommand: ((tableName, command?, fieldNames?) => string);
      generatePut: ((tableName, array) => string);
      generateRm: ((tableName, keyValues) => string);
      generateUpdate: ((tableName, array) => string);
      }

      - ##### generateAtomCommand: ((tableName, items, fieldNames?) => string)

        - - (tableName, items, fieldNames?): string

          - #### Parameters

            - tableName: string
            - items: Partial<DbEntity>[]
            - fieldNames: string[] = []

            #### Returns string

      - ##### generateGet: ((tableName, selectFields?, conditions?, conditionFields?, options?) => string)

        - - (tableName, selectFields?, conditions?, conditionFields?, options?): string

          - #### Parameters

            - tableName: string
            - selectFields: string[] = []
            - conditions: string[] = []
            - conditionFields: string[] = []
            - options: GetCommandOptions = {}

            #### Returns string

      - ##### generateModifyCommand: ((tableName, command?, fieldNames?) => string)

        - - (tableName, command?, fieldNames?): string

          - #### Parameters

            - tableName: string
            - command: "update" | "put" = 'put'
            - fieldNames: string[] = []

            #### Returns string

      - ##### generatePut: ((tableName, array) => string)

        - - (tableName, array): string

          - #### Parameters

            - tableName: string
            - array: Partial<DbEntity>[]

            #### Returns string

      - ##### generateRm: ((tableName, keyValues) => string)

        - - (tableName, keyValues): string

          - #### Parameters

            - tableName: string
            - keyValues: Partial<DbEntity>[]

            #### Returns string

      - ##### generateUpdate: ((tableName, array) => string)

        - - (tableName, array): string

          - #### Parameters

            - tableName: string
            - array: Partial<DbEntity>[]

            #### Returns string

- ##### importRelations: ((content) => any)

  - - (content): any

    - #### Parameters

      - content: string

      #### Returns any

- ##### init: ((onWrite?) => Promise<void>)

  - - (onWrite?): Promise<void>

    - #### Parameters

      - `Optional` onWrite: OnWrite

      #### Returns Promise<void>

- ##### put: ((tableName, array) => Promise<IDBResult | IDBResultError>)

  - - (tableName, array): Promise<IDBResult | IDBResultError>

    - #### Parameters

      - tableName: string
      - array: Partial<DbEntity>[]

      #### Returns Promise<IDBResult | IDBResultError>

- ##### rm: ((tableName, keyValues) => Promise<IDBResult | IDBResultError>)

  - - (tableName, keyValues): Promise<IDBResult | IDBResultError>

    - #### Parameters

      - tableName: string
      - keyValues: Partial<DbEntity>[]

      #### Returns Promise<IDBResult | IDBResultError>

- ##### runCommand: ((command, immutable?) => Promise<IDBResult | IDBResultError>)

  - - (command, immutable?): Promise<IDBResult | IDBResultError>

    - #### Parameters

      - command: string
      - immutable: boolean = false

      #### Returns Promise<IDBResult | IDBResultError>

- ##### update: ((tableName, array) => Promise<IDBResult | IDBResultError>)

  - - (tableName, array): Promise<IDBResult | IDBResultError>

    - #### Parameters

      - tableName: string
      - array: Partial<DbEntity>[]

      #### Returns Promise<IDBResult | IDBResultError>

- Defined in work/deeplinks/deeplinks/imports/cyber/CozoDb/cozoDb.ts:205